// Chapter 2 of C++ How to Program
// Programming Challenge Number 12

#include <iostream> 

using std::cout;
using std::cin;
using std::fixed;

#include <iomanip>

using std::setprecision;

int main()
{
   double sales; // salesperson's sales
   double wage; // salesperson's wage
   
   cout << "Enter sales in dollars (-1 to end): " << fixed
        << setprecision( 2 );
      
   cin >> sales;

   while ( sales != -1.0 ) {    
      wage = 200.0 + 0.09 * sales;
      cout << "Salary is: $" << wage 
           << "\n\nEnter sales in dollars (-1 to end): ";
      cin >> sales;
   }

   return 0;

} // end main

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
