// Chapter 3 of C++ How to Program
// Programming Challenge 11 (Solution)

#include <iostream> 

using std::cout; 
using std::endl; 
using std::cin; 

#include <cstdlib>
#include <ctime>

void multiplication();

int main()
{
   srand( time( 0 ) );
   multiplication();

   return 0;

} // end main

// function multiplication definition
void multiplication()
{
   int x;
   int y;
   int response = 0;

   while ( response != -1 ) {
      x = rand() % 10;
      y = rand() % 10;

      cout << "How much is " << x << " times " << y 
           << " (-1 to End)?: ";
      cin >> response;

      while ( response != -1 && response != x * y ) {
         cout << "No. Please try again: ";
         cin >> response;
      
      } // end while

      if ( response != -1 )
         cout << "Very good!\n\n";
   
   } // end while

} // end function multiplication



/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/