// Chapter 4 of C++ How to Program
// Programming Challenge 9

#include <iostream> 

using std::cout; 
using std::endl; 
using std::cin; 
using std::fixed;

#include <iomanip> 

using std::setprecision; 

void wages( int [] );
void display( const int [] );

int main()
{
   int salaries[ 11 ] = { 0 };

   cout << fixed;
   wages( salaries ); 
   display( salaries );

   return 0;

} // end main

// function wages definition
void wages( int money[] )
{
   double sales;
   double i = 0.09;

   cout << "Enter employee gross sales (-1 to end): ";
   cin >> sales;

   while ( sales != -1 ) {
      double salary = 200.0 + sales * i;
      cout << setprecision( 2 ) << "Employee Commission is $" 
           << salary << '\n';

      int x = static_cast< int > ( salary ) / 100;
      ++money[ ( x < 10 ? x : 10 ) ];

      cout << "\nEnter employee gross sales (-1 to end): ";
      cin >> sales;
   
   } // end while

} // end function wages

// function display definition
void display( const int dollars[] )
{
   cout << "Employees in the range:";

   for ( int i = 2; i < 10; ++i )
      cout << "\n$" << i << "00-$" << i << "99 : " << dollars[ i ];

   cout << "\nOver $1000: " << dollars[ 10 ] << endl;

} // end function display

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
