// Chapter 4 of C++ How to Program
// Programming Challenge 10

#include <iostream> 

using std::cout; 
using std::endl; 
using std::cin; 

#include <iomanip> 

using std::setw; 

int main()
{
   const int SIZE = 20;
   int a[ SIZE ] = { 0 };
   int subscript = 0;
   int duplicate;
   int value;

   cout << "Enter 20 integers between 10 and 100:\n";

   for ( int i = 0; i < SIZE; ++i ) {
      duplicate = 0;
      cin >> value;

      for ( int j = 0; j < subscript; ++j )
         if ( value == a[ j ] ) {
            duplicate = 1;
            break;
         
         } // end if
       
      if ( !duplicate )
         a[ subscript++ ] = value;
   
   } // end for

   cout << "\nThe nonduplicate values are:\n";

   for ( i = 0; a[ i ] != 0; ++i )
      cout << setw( 4 ) << a[ i ];

   cout << endl;

   return 0;

} // end main	

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/