// Chapter 4 of C++ How to Program
// Programming Challenge 11

#include <iostream> 

using std::cout; 
using std::endl; 

#include <iomanip> 

using std::setw; 

int main()
{
   const int SIZE = 1000;
   int array[ SIZE ];
   int count = 0;

   for ( int k = 0; k < SIZE; ++k )
      array[ k ] = 1;

   for ( int i = 2; i < SIZE; ++i )
      if ( array[ i ] == 1 )
         for ( int j = i; j < SIZE; ++j )
            if ( j % i == 0 && j != i )
               array[ j ] = 0;

   // range 2 - 999
   for ( int q = 2; q < SIZE; ++q )
      if ( array[ q ] == 1 ) {
         cout << setw( 3 ) << q << " is a prime number.\n";
         ++count;
      
      } // end if

   cout << "A total of " << count << " prime numbers were found." << endl;

   return 0;

} // end main

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/