// Chapter 5 of C++ How to Program
// Programming Challenge 13 (Solution)

#include <iostream> 

using std::cout; 
using std::endl; 
using std::cin; 

#include <cstring> 

void reverseTokens( char * const );

int main()
{
   const int SIZE = 80;
   char text[ SIZE ];
   
   cout << "Enter a line of text:\n";
   cin.getline( text, SIZE );
   reverseTokens( text );
   cout << endl;

   return 0;

} // end main

// function reverseTokens definition
void reverseTokens( char * const sentence )
{
   char *pointers[ 50 ];
   char *temp;
   int count = 0;
   
   temp = strtok( sentence, " " );
   
   while ( temp ) {
      pointers[ count++ ] = temp;
      temp = strtok( 0, " " );
   
   } // end while
   
   cout << "\nThe tokens in reverse order are:\n";

   for ( int i = count - 1; i >= 0; --i )
      cout << pointers[ i ] << ' ';

} // end function reverseTokens


 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
