// driver for P6_07.cpp
#include <iostream> 

using std::cout; 
using std::endl; 

#include "rational.h"

int main()
{
   Rational c( 1, 3 );
   Rational d( 7, 8 );
   Rational x;

   c.printRational();
   cout << " + ";
   d.printRational();
   x = c.addition( d );
   cout << " = ";
   x.printRational();
   cout << '\n';
   x.printRational();
   cout << " = ";
   x.printRationalAsDouble();
   cout << "\n\n";

   c.printRational();
   cout << " - ";
   d.printRational();
   x = c.subtraction( d );
   cout << " = ";
   x.printRational();
   cout << '\n';
   x.printRational();
   cout << " = ";
   x.printRationalAsDouble();
   cout << "\n\n";

   c.printRational();
   cout << " x ";
   d.printRational();
   x = c.multiplication( d );
   cout << " = ";
   x.printRational();
   cout << '\n';
   x.printRational();
   cout << " = ";
   x.printRationalAsDouble();
   cout << "\n\n";

   c.printRational();
   cout << " / ";
   d.printRational();
   x = c.division( d );
   cout << " = ";
   x.printRational();
   cout << '\n';
   x.printRational();
   cout << " = ";
   x.printRationalAsDouble();
   cout << endl;

   return 0;

} // end main



 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/