// driver for p6_12.cpp
#include <iostream> 

using std::cout; 
using std::endl; 
using std::fixed;

#include <iomanip> 

using std::setprecision; 

#include "rectangle.h"

int main()
{
   Rectangle a;
   Rectangle b( 4.0, 5.0 );
   Rectangle c( 67.0, 888.0 );

   cout << fixed; 
   cout << setprecision( 1 );
   
   // output Rectangle a
   cout << "a: length = " << a.getLength() 
	     << "; width = " << a.getWidth()
        << "; perimeter = " << a.perimeter() << "; area = "
        << a.area() << '\n';

   // output Rectangle b
   cout << "b: length = " << b.getLength() 
	     << "; width = " << b.getWidth()
        << "; perimeter = " << b.perimeter() << "; area = "
        << b.area() << '\n';

   // output Rectangle c; bad values attempted
   cout << "c: length = " << c.getLength() 
	     << "; width = " << c.getWidth()
        << "; perimeter = " << c.perimeter() << "; area = "
        << c.area() << endl;

   return 0;
      
} // end main

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
