// Chapter 7 of C++ How to Program
// Programming Challenge 12 (Solution)

#ifndef SAVINGS_H
#define SAVINGS_H

// class SavingsAccount definition
class SavingsAccount {

public:

   // constructor
   SavingsAccount( double b ) 
   {
      savingsBalance = b >= 0 ? b : 0;
   
   } // end class SavingsAccount constructor

   void calculateMonthlyInterest();
   static void modifyInterestRate( double );
   void printBalance() const;

private:
   double savingsBalance;
   static double annualInterestRate;

}; // end class SavingsAccount

#endif // SAVINGS_H

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/