//pointb.cpp
// member function defintions for class Point
#include <iostream> 

using std::cout; 
using std::fixed;

#include <iomanip> 

using std::setprecision; 

#include "pointb.h"

// default constructor
Point::Point( double xValue, double yValue, double zValue ) 
   : x( xValue ), y( yValue ), z( zValue )
{ 
   // empty body

} // end class Point constructor

// function setX definition
void Point::setX( double xValue )
{
   x = xValue;

} // end function setX

// return x
double Point::getX() const 
{ 
   return x; 

} // end function getX

// function setY definition
void Point::setY( double yValue )
{
   y = yValue;

} // end function setY

// return y
double Point::getY() const 
{ 
   return y; 

} // end function getY

// function setZ definition
void Point::setZ( double zValue )
{
   z = zValue;

} // end function setZ

// return z
double Point::getZ() const 
{ 
   return z; 

} // end function getZ

// function print definition
void Point::print() const
{
   cout << fixed
        << "The point is: "
        << '[' << setprecision( 2 ) << getX()
        << ", " << setprecision( 2 ) << getY() << setprecision( 2 )
        << ", " << getZ() << "]\n";

} // end function print

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/