// pointb.h
#ifndef POINT_B_H
#define POINT_B_H

// class Point definition
class Point {
   
public:
   Point( double = 0, double = 0, double = 0 );
   
   void setX( double );
   double getX() const;
   
   void setY( double );
   double getY() const;
   
   void setZ( double );
   double getZ() const;
   
   void print() const;
   
private:
   double x;
   double y;
   double z;

}; // end class Point

#endif // POINT_B_H

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/