//squareb.h
#ifndef SQUARE_B_H
#define SQUARE_B_H

#include "pointb.h"

// class Square definition
class Square {
   
public:
   Square( double = 0, double = 0, double = 0, double = 1.0 );
   
   void setSide( double );
   double getSide() const;
   
   double getXCoord() const;
   double getYCoord() const;
   double getZCoord() const;
   
   double area() const;
   void print() const;
   
protected:
   double side;
   Point pointObject;

}; // end class Square

#endif // SQUARE_B_H

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/