// Chapter 2 of C++ How to Program
// Programming Challenge 13c (Solution)

#include <iostream>

using std::cout;
using std::cin;
using std::endl;

int main()
{
   int x;
   int xToX;

   cout << "Enter a value for x: ";
   cin >> x;

   double factorial;
   double eToX = 1;

    // stop at 1 + 1/1! +... + 1/20! 
   for ( int i = 1; i <= 20; i++ ) {   
      factorial = 1;   // reset value of factorial
      xToX = 1;         // reset the value of power accumulator
   
      for ( int k = 1; k <= i; k++ ) // calculate x ^ 2, x ^ 3 ...
         xToX *= x;

      for ( int j = i; j > 0; j-- )    // calculate factorial
         factorial *= j;

      eToX += ( xToX / factorial ); // update value of e
   }
   cout << "The value of e ^ x is: " << eToX << endl;

   return 0;

} // end main

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
