// time.h
#ifndef TIME_H
#define TIME_H

 // class Time definition
class Time {

public:
   Time(); // default constructor

   void setHour( int h ) { hour = ( h >= 0 && h < 24 ) ? h : 0; }
   int getHour() { return hour; }
   
   void setMinute( int m ) { minute = ( m >= 0 && m < 60 ) ? m : 0; }
   int getMinute() { return minute; }
   
   void setSecond( int s ) { second = ( s >= 0 && s < 60 ) ? s : 0; }
   int getSecond() { return second; }
   
   void printStandard();

private:
   int hour;
   int minute;
   int second;

}; // end class Time

#endif // TIME_H


 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
