// time.h
#ifndef TIME_H
#define TIME_H

// class Time definition
class Time {

public:
   Time( int = 0, int = 0, int = 0 ); // default constructor
   
   void setTime( int, int, int );
   
   void setHour( int );
   int getHour();
   
   void setMinute( int );
   int getMinute();
   
   void setSecond( int );
   int getSecond();
   
   void printStandard();
   void tick();

private:
   int hour;
   int minute;
   int second;

}; // end class Time

#endif // TIME_H

 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/