// Chapter 7 of C++ How to Program
// Programming Challenge 11 (Solution)

#include <iostream> 

using std::cout; 
using std::endl; 

#include "date.h"

int main()
{
   Date d1( 7, 4, 98 );
   Date d2( 86, 1999 );
   Date d3;
   Date d4( "September", 1, 1998 );

   d1.printDateSlash();   // format m / dd / yy
   d2.printDateSlash();
   d3.printDateSlash();
   d4.printDateSlash();
   cout << '\n';

   d1.printDateDay();     // format ddd yyyy
   d2.printDateDay();
   d3.printDateDay();
   d4.printDateDay();
   cout << '\n';

   d1.printDateMonth();   // format "month" d, yyyy
   d2.printDateMonth();
   d3.printDateMonth();
   d4.printDateMonth();
   cout << endl;

   return 0;

} // end main


 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
