// Chapter 8 of C++ How to Program
// Programming Challenge 10
// P8_10.cpp

#include <iostream> 

using std::cout; 
using std::cin; 

#include "complex.h"

int main()
{
   Complex x;
   Complex y( 4.3, 8.2 );
   Complex z( 3.3, 1.1 );
   Complex k;

   cout << "Enter a complex number in the form: "
        << "a + bi\n? ";
   cin >> k;

   cout << "x: " << x << "\ny: " << y << "\nz: "
        << z << "\nk: " << k << '\n';

   x = y + z;
   cout << "\nx = y + z:\n" << x << " = " << y 
        << " + " << z << '\n';

   x = y - z;
   cout << "\nx = y - z:\n" << x << " = " << y
        << " - " << z << '\n';

   x = y * z;
   cout << "\nx = y * z:\n" << x << " = " << y
        << " * " << z << "\n\n";

   if ( x != k )
      cout << x << " != " << k << '\n';

   cout << '\n';

   x = k;

   if ( x == k )
      cout << x << " == " << k << '\n';

   return 0;

} // end main


 /**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/