// driver for p9_6b.cpp
#include <iostream> 

using std::cout; 
using std::endl; 

#include "pointb.h"
#include "squareb.h"
#include "cubeb.h"

int main()
{
   Point p( 7.9, 12.5, 8.8 );
   Square s( 0.0, 0.0, 0.0, 5.0 );
   Cube c( 0.5, 8.3, 12.0, 2.0 );

   p.print(); 
   cout << endl;   
   
   s.print();
   cout << endl; 
   
   c.print();
   cout << endl; 

   return 0;

} // end main

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/