// cube.H
#ifndef CUBE_H
#define CUBE_H

#include "square.h"

// class Cube definition
class Cube : public Square {

public:
   Cube( double = 0, double = 0, double = 0, double = 1.0 );
   
   double area() const;
   double volume() const;

   void print() const;

}; // end class Cube

#endif // CUBE_H

/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/