// point.cpp
// member function definitions for point.cpp
#include "point.h"

ostream& operator<<( ostream& out, Point& p )
{
   if ( !cin.fail() )
      cout << "(" << p.xCoordinate << ", " << p.yCoordinate << ")" << '\n';
   else
      cout << "\nInvalid data\n";

   return out;
}

istream& operator>>( istream& i, Point& p )
{
   if ( cin.peek() != '(' )
      cin.clear( ios::failbit );
   else
      i.ignore();  // skip (

   cin >> p.xCoordinate;

   if ( cin.peek() != ',' )
      cin.clear( ios::failbit );
   else {
      i.ignore(); // skip ,

      if ( cin.peek() == ' ' )
         i.ignore(); // skip space
      else
         cin.clear( ios::failbit );
   }

   cin >> p.yCoordinate;

   if ( cin.peek() == ')' )
         i.ignore();  // skip )
      else
         cin.clear( ios::failbit );

   return i;
}

/**************************************************************************
 * (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/